{"openapi":"3.0.1","info":{"title":"Satse API","description":"Satse API documentation","termsOfService":"","contact":{"name":"","url":"","email":""},"license":{"name":"unlicensed","url":""},"version":"0.0.1"},"servers":[{"url":"https://backend-preprod.satse.dev","description":"Generated server url"}],"paths":{"/api/work-centers/{id}":{"get":{"tags":["work-center-resource"],"operationId":"getWorkCenter","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WorkCenterDTO"}}}}}},"put":{"tags":["work-center-resource"],"operationId":"updateWorkCenter","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkCenterDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WorkCenterDTO"}}}}}},"delete":{"tags":["work-center-resource"],"operationId":"deleteWorkCenter","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["work-center-resource"],"operationId":"partialUpdateWorkCenter","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkCenterDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/WorkCenterDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WorkCenterDTO"}}}}}}},"/api/transactions/{id}":{"get":{"tags":["transaction-resource"],"operationId":"getTransaction","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TransactionDTO"}}}}}},"put":{"tags":["transaction-resource"],"operationId":"updateTransaction","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransactionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TransactionDTO"}}}}}},"delete":{"tags":["transaction-resource"],"operationId":"deleteTransaction","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["transaction-resource"],"operationId":"partialUpdateTransaction","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/TransactionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TransactionDTO"}}}}}}},"/api/tickets/{id}":{"get":{"tags":["ticket-resource"],"operationId":"getTicket","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TicketDTO"}}}}}},"put":{"tags":["ticket-resource"],"operationId":"updateTicket","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TicketDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TicketDTO"}}}}}},"delete":{"tags":["ticket-resource"],"operationId":"deleteTicket","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["ticket-resource"],"operationId":"partialUpdateTicket","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TicketDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/TicketDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TicketDTO"}}}}}}},"/api/ticket-batches/{id}":{"get":{"tags":["ticket-batch-resource"],"operationId":"getTicketBatch","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TicketBatchDTO"}}}}}},"put":{"tags":["ticket-batch-resource"],"operationId":"updateTicketBatch","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TicketBatchDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TicketBatchDTO"}}}}}},"delete":{"tags":["ticket-batch-resource"],"operationId":"deleteTicketBatch","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["ticket-batch-resource"],"operationId":"partialUpdateTicketBatch","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TicketBatchDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/TicketBatchDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TicketBatchDTO"}}}}}}},"/api/specialties/{id}":{"get":{"tags":["specialty-resource"],"operationId":"getSpecialty","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SpecialtyDTO"}}}}}},"put":{"tags":["specialty-resource"],"operationId":"updateSpecialty","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpecialtyDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SpecialtyDTO"}}}}}},"delete":{"tags":["specialty-resource"],"operationId":"deleteSpecialty","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["specialty-resource"],"operationId":"partialUpdateSpecialty","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/SpecialtyDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SpecialtyDTO"}}}}}}},"/api/short-news/{id}":{"get":{"tags":["short-news-resource"],"operationId":"getShortNews","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ShortNewsDTO"}}}}}},"put":{"tags":["short-news-resource"],"operationId":"updateShortNews","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShortNewsDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ShortNewsDTO"}}}}}},"delete":{"tags":["short-news-resource"],"operationId":"deleteShortNews","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["short-news-resource"],"operationId":"partialUpdateShortNews","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShortNewsDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/ShortNewsDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ShortNewsDTO"}}}}}}},"/api/service-scopes/{id}":{"get":{"tags":["service-scope-resource"],"operationId":"getServiceScope","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ServiceScopeDTO"}}}}}},"put":{"tags":["service-scope-resource"],"operationId":"updateServiceScope","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceScopeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ServiceScopeDTO"}}}}}},"delete":{"tags":["service-scope-resource"],"operationId":"deleteServiceScope","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["service-scope-resource"],"operationId":"partialUpdateServiceScope","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceScopeDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/ServiceScopeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ServiceScopeDTO"}}}}}}},"/api/sectors/{id}":{"get":{"tags":["sector-resource"],"operationId":"getSector","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SectorDTO"}}}}}},"put":{"tags":["sector-resource"],"operationId":"updateSector","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SectorDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SectorDTO"}}}}}},"delete":{"tags":["sector-resource"],"operationId":"deleteSector","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["sector-resource"],"operationId":"partialUpdateSector","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SectorDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/SectorDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SectorDTO"}}}}}}},"/api/schools/{id}":{"get":{"tags":["school-resource"],"operationId":"getSchool","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SchoolDTO"}}}}}},"put":{"tags":["school-resource"],"operationId":"updateSchool","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchoolDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SchoolDTO"}}}}}},"delete":{"tags":["school-resource"],"operationId":"deleteSchool","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["school-resource"],"operationId":"partialUpdateSchool","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchoolDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/SchoolDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SchoolDTO"}}}}}}},"/api/products/{id}":{"get":{"tags":["product-resource"],"operationId":"getProduct","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductDTO"}}}}}},"put":{"tags":["product-resource"],"operationId":"updateProduct","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductDTO"}}}}}},"delete":{"tags":["product-resource"],"operationId":"deleteProduct","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["product-resource"],"operationId":"partialUpdateProduct","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/ProductDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductDTO"}}}}}}},"/api/private-jobs/{id}":{"get":{"tags":["private-job-resource"],"operationId":"getPrivateJob","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PrivateJobDTO"}}}}}},"put":{"tags":["private-job-resource"],"operationId":"updatePrivateJob","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateJobDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PrivateJobDTO"}}}}}},"delete":{"tags":["private-job-resource"],"operationId":"deletePrivateJob","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["private-job-resource"],"operationId":"partialUpdatePrivateJob","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateJobDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/PrivateJobDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PrivateJobDTO"}}}}}}},"/api/preferences/{id}":{"get":{"tags":["preferences-resource"],"operationId":"getPreferences","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PreferencesDTO"}}}}}},"put":{"tags":["preferences-resource"],"operationId":"updatePreferences","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreferencesDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PreferencesDTO"}}}}}},"delete":{"tags":["preferences-resource"],"operationId":"deletePreferences","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/api/preferences/document-id/{document-id}":{"get":{"tags":["preferences-resource"],"operationId":"getPreferencesByDocumentId","parameters":[{"name":"document-id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PreferencesDTO"}}}}}},"put":{"tags":["preferences-resource"],"operationId":"updatePreferencesByDocumentId","parameters":[{"name":"document-id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreferencesDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PreferencesDTO"}}}}}},"patch":{"tags":["preferences-resource"],"operationId":"partialUpdatePreferencesByDocumentId","parameters":[{"name":"document-id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreferencesDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/PreferencesDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PreferencesDTO"}}}}}}},"/api/permissions/{id}":{"get":{"tags":["permission-resource"],"operationId":"getPermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}}}}},"put":{"tags":["permission-resource"],"operationId":"updatePermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}}}}},"delete":{"tags":["permission-resource"],"operationId":"deletePermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["permission-resource"],"operationId":"partialUpdatePermission","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}}}}}},"/api/people/{id}/profile":{"put":{"tags":["person-resource"],"operationId":"updatePersonProfile","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProfilePersonDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProfilePersonDTO"}}}}}}},"/api/order-items/{id}":{"get":{"tags":["order-item-resource"],"operationId":"getOrderItem","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrderItemDTO"}}}}}},"put":{"tags":["order-item-resource"],"operationId":"updateOrderItem","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderItemDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrderItemDTO"}}}}}},"delete":{"tags":["order-item-resource"],"operationId":"deleteOrderItem","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["order-item-resource"],"operationId":"partialUpdateOrderItem","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderItemDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/OrderItemDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrderItemDTO"}}}}}}},"/api/notifications/{id}":{"get":{"tags":["notification-resource"],"operationId":"getNotification","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}}}}},"put":{"tags":["notification-resource"],"operationId":"updateNotification","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}}}}},"delete":{"tags":["notification-resource"],"operationId":"deleteNotification","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["notification-resource"],"operationId":"partialUpdateNotification","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}}}}}},"/api/notification-templates/{id}":{"get":{"tags":["notification-template-resource"],"operationId":"getNotificationTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}}}}},"put":{"tags":["notification-template-resource"],"operationId":"updateNotificationTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}}}}},"delete":{"tags":["notification-template-resource"],"operationId":"deleteNotificationTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["notification-template-resource"],"operationId":"partialUpdateNotificationTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}}}}}},"/api/notification-purpose-templates/{id}":{"get":{"tags":["notification-purpose-template-resource"],"operationId":"getNotificationPurposeTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}}}}}},"put":{"tags":["notification-purpose-template-resource"],"operationId":"updateNotificationPurposeTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}}}}}},"delete":{"tags":["notification-purpose-template-resource"],"operationId":"deleteNotificationPurposeTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["notification-purpose-template-resource"],"operationId":"partialUpdateNotificationPurposeTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateDTO"}}}}}}},"/api/notification-groups/{id}":{"get":{"tags":["notification-group-resource"],"operationId":"getNotificationGroup","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationGroupDTO"}}}}}},"put":{"tags":["notification-group-resource"],"operationId":"updateNotificationGroup","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationGroupDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationGroupDTO"}}}}}},"delete":{"tags":["notification-group-resource"],"operationId":"deleteNotificationGroup","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["notification-group-resource"],"operationId":"partialUpdateNotificationGroup","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/NotificationGroupDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationGroupDTO"}}}}}}},"/api/memberships/{id}":{"get":{"tags":["membership-resource"],"operationId":"getMembership","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MembershipDTO"}}}}}},"put":{"tags":["membership-resource"],"operationId":"updateMembership","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MembershipDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MembershipDTO"}}}}}},"delete":{"tags":["membership-resource"],"operationId":"deleteMembership","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["membership-resource"],"operationId":"partialUpdateMembership","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MembershipDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/MembershipDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MembershipDTO"}}}}}}},"/api/media-contents/{id}":{"get":{"tags":["media-content-resource"],"operationId":"getMediaContent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MediaContentDTO"}}}}}},"put":{"tags":["media-content-resource"],"operationId":"updateMediaContent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MediaContentDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MediaContentDTO"}}}}}},"delete":{"tags":["media-content-resource"],"operationId":"deleteMediaContent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["media-content-resource"],"operationId":"partialUpdateMediaContent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MediaContentDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/MediaContentDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MediaContentDTO"}}}}}}},"/api/lodgings/{id}":{"get":{"tags":["lodging-resource"],"operationId":"getLodging","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LodgingDTO"}}}}}},"put":{"tags":["lodging-resource"],"operationId":"updateLodging","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LodgingDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LodgingDTO"}}}}}},"delete":{"tags":["lodging-resource"],"operationId":"deleteLodging","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["lodging-resource"],"operationId":"partialUpdateLodging","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LodgingDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/LodgingDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LodgingDTO"}}}}}}},"/api/locations/{id}":{"get":{"tags":["location-resource"],"operationId":"getLocation","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LocationDTO"}}}}}},"put":{"tags":["location-resource"],"operationId":"updateLocation","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LocationDTO"}}}}}},"delete":{"tags":["location-resource"],"operationId":"deleteLocation","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["location-resource"],"operationId":"partialUpdateLocation","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LocationDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/LocationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/LocationDTO"}}}}}}},"/api/locations/update_display_address":{"put":{"tags":["location-resource"],"operationId":"updateAllDislayAddress","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/jobs/{id}":{"get":{"tags":["job-resource"],"operationId":"getJob","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JobWithStagesDTO"}}}}}},"put":{"tags":["job-resource"],"operationId":"updateJob","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobWithStagesDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JobWithStagesDTO"}}}}}},"delete":{"tags":["job-resource"],"operationId":"deleteJob","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["job-resource"],"operationId":"partialUpdateJob","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobWithStagesDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/JobWithStagesDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JobWithStagesDTO"}}}}}}},"/api/job-types/{id}":{"get":{"tags":["job-type-resource"],"operationId":"getJobType","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JobTypeDTO"}}}}}},"put":{"tags":["job-type-resource"],"operationId":"updateJobType","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobTypeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JobTypeDTO"}}}}}},"delete":{"tags":["job-type-resource"],"operationId":"deleteJobType","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["job-type-resource"],"operationId":"partialUpdateJobType","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobTypeDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/JobTypeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JobTypeDTO"}}}}}}},"/api/job-stages/{id}":{"get":{"tags":["job-stage-resource"],"operationId":"getJobStage","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JobStageDTO"}}}}}},"put":{"tags":["job-stage-resource"],"operationId":"updateJobStage","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobStageDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JobStageDTO"}}}}}},"delete":{"tags":["job-stage-resource"],"operationId":"deleteJobStage","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["job-stage-resource"],"operationId":"partialUpdateJobStage","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobStageDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/JobStageDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JobStageDTO"}}}}}}},"/api/important-periods/{id}":{"get":{"tags":["important-period-resource"],"operationId":"getImportantPeriod","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ImportantPeriodDTO"}}}}}},"put":{"tags":["important-period-resource"],"operationId":"updateImportantPeriod","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ImportantPeriodDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ImportantPeriodDTO"}}}}}},"delete":{"tags":["important-period-resource"],"operationId":"deleteImportantPeriod","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["important-period-resource"],"operationId":"partialUpdateImportantPeriod","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/ImportantPeriodDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ImportantPeriodDTO"}}}}}}},"/api/group-wcs/{id}":{"get":{"tags":["group-wc-resource"],"operationId":"getGroupWC","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GroupWCDTO"}}}}}},"put":{"tags":["group-wc-resource"],"operationId":"updateGroupWC","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupWCDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GroupWCDTO"}}}}}},"delete":{"tags":["group-wc-resource"],"operationId":"deleteGroupWC","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["group-wc-resource"],"operationId":"partialUpdateGroupWC","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupWCDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/GroupWCDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GroupWCDTO"}}}}}}},"/api/fuel-cards/{id}":{"get":{"tags":["fuel-card-resource"],"operationId":"getFuelCard","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FuelCardDTO"}}}}}},"put":{"tags":["fuel-card-resource"],"operationId":"updateFuelCard","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FuelCardDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FuelCardDTO"}}}}}},"delete":{"tags":["fuel-card-resource"],"operationId":"deleteFuelCard","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["fuel-card-resource"],"operationId":"partialUpdateFuelCard","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FuelCardDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/FuelCardDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/FuelCardDTO"}}}}}}},"/api/events/{id}":{"get":{"tags":["event-resource"],"operationId":"getEvent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EventDTO"}}}}}},"put":{"tags":["event-resource"],"operationId":"updateEvent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EventDTO"}}}}}},"delete":{"tags":["event-resource"],"operationId":"deleteEvent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["event-resource"],"operationId":"partialUpdateEvent","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/EventDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EventDTO"}}}}}}},"/api/event-order-dynamic-properties/{id}":{"get":{"tags":["event-order-dynamic-property-resource"],"operationId":"getEventOrderDynamicProperty","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EventOrderDynamicPropertyDTO"}}}}}},"put":{"tags":["event-order-dynamic-property-resource"],"operationId":"updateEventOrderDynamicProperty","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventOrderDynamicPropertyDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EventOrderDynamicPropertyDTO"}}}}}},"delete":{"tags":["event-order-dynamic-property-resource"],"operationId":"deleteEventOrderDynamicProperty","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["event-order-dynamic-property-resource"],"operationId":"partialUpdateEventOrderDynamicProperty","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventOrderDynamicPropertyDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/EventOrderDynamicPropertyDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EventOrderDynamicPropertyDTO"}}}}}}},"/api/event-order-dynamic-properties/sync":{"put":{"tags":["event-order-dynamic-property-resource"],"operationId":"syncEventOrder","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string"}}}}}}},"/api/entity-localizations/{id}":{"get":{"tags":["entity-localization-resource"],"operationId":"getEntityLocalization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EntityLocalizationDTO"}}}}}},"put":{"tags":["entity-localization-resource"],"operationId":"updateEntityLocalization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityLocalizationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EntityLocalizationDTO"}}}}}},"delete":{"tags":["entity-localization-resource"],"operationId":"deleteEntityLocalization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["entity-localization-resource"],"operationId":"partialUpdateEntityLocalization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EntityLocalizationDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/EntityLocalizationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EntityLocalizationDTO"}}}}}}},"/api/employers/{id}":{"get":{"tags":["employer-resource"],"operationId":"getEmployer","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmployerDTO"}}}}}},"put":{"tags":["employer-resource"],"operationId":"updateEmployer","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmployerDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmployerDTO"}}}}}},"delete":{"tags":["employer-resource"],"operationId":"deleteEmployer","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["employer-resource"],"operationId":"partialUpdateEmployer","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmployerDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/EmployerDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmployerDTO"}}}}}}},"/api/email-templates/{id}":{"get":{"tags":["email-template-resource"],"operationId":"getEmailTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmailTemplateDTO"}}}}}},"put":{"tags":["email-template-resource"],"operationId":"updateEmailTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmailTemplateDTO"}}}}}},"delete":{"tags":["email-template-resource"],"operationId":"deleteEmailTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["email-template-resource"],"operationId":"partialUpdateEmailTemplate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailTemplateDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/EmailTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/EmailTemplateDTO"}}}}}}},"/api/dynamic-texts/{id}":{"get":{"tags":["dynamic-text-resource"],"operationId":"getDynamicText","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DynamicTextDTO"}}}}}},"put":{"tags":["dynamic-text-resource"],"operationId":"updateDynamicText","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicTextDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DynamicTextDTO"}}}}}},"delete":{"tags":["dynamic-text-resource"],"operationId":"deleteDynamicText","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["dynamic-text-resource"],"operationId":"partialUpdateDynamicText","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/DynamicTextDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DynamicTextDTO"}}}}}}},"/api/dynamic-properties/{id}":{"get":{"tags":["dynamic-property-resource"],"operationId":"getDynamicProperty","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DynamicPropertyDTO"}}}}}},"put":{"tags":["dynamic-property-resource"],"operationId":"updateDynamicProperty","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicPropertyDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DynamicPropertyDTO"}}}}}},"delete":{"tags":["dynamic-property-resource"],"operationId":"deleteDynamicProperty","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["dynamic-property-resource"],"operationId":"partialUpdateDynamicProperty","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/DynamicPropertyDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DynamicPropertyDTO"}}}}}}},"/api/dynamic-forms/{id}":{"get":{"tags":["dynamic-form-resource"],"operationId":"getDynamicForm","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DynamicFormDTO"}}}}}},"put":{"tags":["dynamic-form-resource"],"operationId":"updateDynamicForm","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicFormDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DynamicFormDTO"}}}}}},"delete":{"tags":["dynamic-form-resource"],"operationId":"deleteDynamicForm","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["dynamic-form-resource"],"operationId":"partialUpdateDynamicForm","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicFormDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/DynamicFormDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DynamicFormDTO"}}}}}}},"/api/dynamic-forms/with-texts/{id}":{"put":{"tags":["dynamic-form-resource"],"operationId":"updateDynamicForm_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DynamicFormWithTextsDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DynamicFormWithTextsDTO"}}}}}}},"/api/discounts/{id}":{"get":{"tags":["discount-resource"],"operationId":"getDiscount","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DiscountDTO"}}}}}},"put":{"tags":["discount-resource"],"operationId":"updateDiscount","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiscountDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DiscountDTO"}}}}}},"delete":{"tags":["discount-resource"],"operationId":"deleteDiscount","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["discount-resource"],"operationId":"partialUpdateDiscount","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiscountDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/DiscountDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DiscountDTO"}}}}}}},"/api/diff-entities/{id}":{"get":{"tags":["diff-entity-resource"],"operationId":"getDiffEntity","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DiffEntityDTO"}}}}}},"put":{"tags":["diff-entity-resource"],"operationId":"updateDiffEntity","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiffEntityDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DiffEntityDTO"}}}}}},"delete":{"tags":["diff-entity-resource"],"operationId":"deleteDiffEntity","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["diff-entity-resource"],"operationId":"partialUpdateDiffEntity","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiffEntityDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/DiffEntityDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DiffEntityDTO"}}}}}}},"/api/companies/{id}":{"get":{"tags":["company-resource"],"operationId":"getCompany","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CompanyDTO"}}}}}},"put":{"tags":["company-resource"],"operationId":"updateCompany","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CompanyDTO"}}}}}},"delete":{"tags":["company-resource"],"operationId":"deleteCompany","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["company-resource"],"operationId":"partialUpdateCompany","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/CompanyDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CompanyDTO"}}}}}}},"/api/categories/{id}":{"get":{"tags":["category-resource"],"operationId":"getCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CategoryDTO"}}}}}},"put":{"tags":["category-resource"],"operationId":"updateCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CategoryDTO"}}}}}},"delete":{"tags":["category-resource"],"operationId":"deleteCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["category-resource"],"operationId":"partialUpdateCategory","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoryDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/CategoryDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/CategoryDTO"}}}}}}},"/api/bookmarks/{id}":{"get":{"tags":["bookmark-resource"],"operationId":"getBookmark","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BookmarkDTO"}}}}}},"put":{"tags":["bookmark-resource"],"operationId":"updateBookmark","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BookmarkDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BookmarkDTO"}}}}}},"delete":{"tags":["bookmark-resource"],"operationId":"deleteBookmark","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["bookmark-resource"],"operationId":"partialUpdateBookmark","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/BookmarkDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BookmarkDTO"}}}}}}},"/api/benefits/{id}":{"get":{"tags":["benefit-resource"],"operationId":"getBenefit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BenefitDTO"}}}}}},"put":{"tags":["benefit-resource"],"operationId":"updateBenefit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BenefitDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BenefitDTO"}}}}}},"delete":{"tags":["benefit-resource"],"operationId":"deleteBenefit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["benefit-resource"],"operationId":"partialUpdateBenefit","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BenefitDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/BenefitDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BenefitDTO"}}}}}}},"/api/bank-accounts/{id}":{"get":{"tags":["bank-account-resource"],"operationId":"getBankAccount","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BankAccountDTO"}}}}}},"put":{"tags":["bank-account-resource"],"operationId":"updateBankAccount","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankAccountDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BankAccountDTO"}}}}}},"delete":{"tags":["bank-account-resource"],"operationId":"deleteBankAccount","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["bank-account-resource"],"operationId":"partialUpdateBankAccount","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankAccountDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/BankAccountDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/BankAccountDTO"}}}}}}},"/api/authorizations/{id}":{"get":{"tags":["authorization-resource"],"operationId":"getAuthorization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuthorizationDTO"}}}}}},"put":{"tags":["authorization-resource"],"operationId":"updateAuthorization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AuthorizationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuthorizationDTO"}}}}}},"delete":{"tags":["authorization-resource"],"operationId":"deleteAuthorization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["authorization-resource"],"operationId":"partialUpdateAuthorization","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/AuthorizationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AuthorizationDTO"}}}}}}},"/api/areas/{id}":{"get":{"tags":["area-resource"],"operationId":"getArea","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AreaDTO"}}}}}},"put":{"tags":["area-resource"],"operationId":"updateArea","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AreaDTO"}}}}}},"delete":{"tags":["area-resource"],"operationId":"deleteArea","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["area-resource"],"operationId":"partialUpdateArea","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AreaDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/AreaDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AreaDTO"}}}}}}},"/api/academics/{id}":{"get":{"tags":["academic-resource"],"operationId":"getAcademic","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AcademicDTO"}}}}}},"put":{"tags":["academic-resource"],"operationId":"updateAcademic","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcademicDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AcademicDTO"}}}}}},"delete":{"tags":["academic-resource"],"operationId":"deleteAcademic","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["academic-resource"],"operationId":"partialUpdateAcademic","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AcademicDTO"}},"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/AcademicDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AcademicDTO"}}}}}}},"/api/work-centers":{"get":{"tags":["work-center-resource"],"operationId":"getAllWorkCenters","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/WorkCenterCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WorkCenterDTO"}}}}}}},"post":{"tags":["work-center-resource"],"operationId":"createWorkCenter","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WorkCenterDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/WorkCenterDTO"}}}}}}},"/api/work-centers/import-ext-ids":{"post":{"tags":["work-center-resource"],"operationId":"importAreasExtIds","parameters":[{"name":"sheetName","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK"}}}},"/api/transactions":{"get":{"tags":["transaction-resource"],"operationId":"getAllTransactions","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/TransactionCriteria"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TransactionDTO"}}}}}}},"post":{"tags":["transaction-resource"],"operationId":"createTransaction","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransactionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TransactionDTO"}}}}}}},"/api/tickets":{"get":{"tags":["ticket-resource"],"operationId":"getAllTickets","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/TicketCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TicketDTOList"}}}}}}},"post":{"tags":["ticket-resource"],"operationId":"createTicket","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TicketDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TicketDTO"}}}}}}},"/api/ticket-batches":{"get":{"tags":["ticket-batch-resource"],"operationId":"getAllTicketBatches","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/TicketBatchCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TicketBatchDTO"}}}}}}},"post":{"tags":["ticket-batch-resource"],"operationId":"createTicketBatch","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["batch","file"],"type":"object","properties":{"batch":{"type":"string"},"file":{"type":"string","format":"binary"}}}},"application/json":{"schema":{"required":["batch","file"],"type":"object","properties":{"batch":{"type":"string"},"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TicketBatchDTO"}}}}}}},"/api/ticket-batches/{id}/cancel":{"post":{"tags":["ticket-batch-resource"],"operationId":"cancelAllFreeTicketsByBatch","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TicketBatchDTO"}}}}}}},"/api/specialties":{"get":{"tags":["specialty-resource"],"operationId":"getAllSpecialties","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/SpecialtyCriteria"}},{"name":"pageable","in":"query","required":true,"schema":{"$ref":"#/components/schemas/Pageable"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SpecialtyDTO"}}}}}}},"post":{"tags":["specialty-resource"],"operationId":"createSpecialty","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpecialtyDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SpecialtyDTO"}}}}}}},"/api/short-news":{"get":{"tags":["short-news-resource"],"operationId":"getAllShortNews","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ShortNewsCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ShortNewsDTO"}}}}}}},"post":{"tags":["short-news-resource"],"operationId":"createShortNews","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShortNewsDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ShortNewsDTO"}}}}}}},"/api/service-scopes":{"get":{"tags":["service-scope-resource"],"operationId":"getAllServiceScopes","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ServiceScopeCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceScopeDTO"}}}}}}},"post":{"tags":["service-scope-resource"],"operationId":"createServiceScope","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceScopeDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ServiceScopeDTO"}}}}}}},"/api/sectors":{"get":{"tags":["sector-resource"],"operationId":"getAllSectors","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/SectorCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SectorDTO"}}}}}}},"post":{"tags":["sector-resource"],"operationId":"createSector","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SectorDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SectorDTO"}}}}}}},"/api/schools":{"get":{"tags":["school-resource"],"operationId":"getAllSchools","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/SchoolCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SchoolDTO"}}}}}}},"post":{"tags":["school-resource"],"operationId":"createSchool","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchoolDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SchoolDTO"}}}}}}},"/api/schools/import-ext-ids":{"post":{"tags":["school-resource"],"operationId":"importAreasExtIds_1","requestBody":{"content":{"multipart/form-data":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK"}}}},"/api/satse-kafka/publish/{topic}":{"post":{"tags":["satse-kafka-resource"],"operationId":"publish","parameters":[{"name":"topic","in":"path","required":true,"schema":{"type":"string"}},{"name":"message","in":"query","required":true,"schema":{"type":"string"}},{"name":"key","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublishResult"}}}}}}},"/api/products":{"get":{"tags":["product-resource"],"operationId":"getAllProducts","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/ProductCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ProductDTO"}}}}}}},"post":{"tags":["product-resource"],"operationId":"createProduct","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ProductDTO"}}}}}}},"/api/private-jobs":{"get":{"tags":["private-job-resource"],"operationId":"getAllPrivateJobs","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/PrivateJobCriteria"}},{"name":"Accept-Language","in":"header","required":false,"schema":{"type":"string","default":"es"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PrivateJobDTO"}}}}}}},"post":{"tags":["private-job-resource"],"operationId":"createPrivateJob","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PrivateJobDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PrivateJobDTO"}}}}}}},"/api/preferences":{"get":{"tags":["preferences-resource"],"operationId":"getAllPreferences","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/PreferencesCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PreferencesDTO"}}}}}}},"post":{"tags":["preferences-resource"],"operationId":"createPreferences","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreferencesDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PreferencesDTO"}}}}}}},"/api/permissions":{"get":{"tags":["permission-resource"],"operationId":"getAllPermissions","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/PermissionCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PermissionDTO"}}}}}}},"post":{"tags":["permission-resource"],"operationId":"createPermission","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PermissionDTO"}}}}}}},"/api/people":{"get":{"tags":["person-resource"],"operationId":"getAllPeople","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/PersonCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PersonDTO"}}}}}}},"post":{"tags":["person-resource"],"operationId":"createPerson","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonInsDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PersonDTO"}}}}}}},"/api/people/{person-id}/set-work-center/{region-id}":{"post":{"tags":["person-resource"],"operationId":"setAffiliatePersonWorkCenter","parameters":[{"name":"person-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"region-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PersonDTO"}}}}}}},"/api/people/change-password":{"post":{"tags":["person-resource"],"operationId":"changeCurrentUserPassword","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordUpdateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/orders/tickets/{code}":{"post":{"tags":["order-resource"],"operationId":"confirmCode","parameters":[{"name":"code","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrderConfirmResponseDTO"}}}}}}},"/api/orders/tickets/buy":{"post":{"tags":["order-resource"],"operationId":"buyTickets","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TicketBuyDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrderWithTicketsDTO"}}}}}}},"/api/orders/tickets/book":{"post":{"tags":["order-resource"],"operationId":"bookTickets","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TicketBuyDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrderWithTicketsDTO"}}}}}}},"/api/orders/tickets/assign":{"post":{"tags":["order-resource"],"operationId":"assignTickets","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TicketAssignDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrderWithTicketsDTO"}}}}}}},"/api/orders/fuel-card/request":{"post":{"tags":["order-resource"],"operationId":"requestFuelCard","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FuelCardRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrderWithTicketsDTO"}}}}}}},"/api/orders/events/response":{"post":{"tags":["order-resource"],"operationId":"responseEvent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventEnrollDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrderWithTicketsDTO"}}}}}}},"/api/orders/events/enroll":{"post":{"tags":["order-resource"],"operationId":"enrollForEvent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventEnrollDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrderWithTicketsDTO"}}}}}}},"/api/order-items":{"get":{"tags":["order-item-resource"],"operationId":"getAllOrderItems","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/OrderItemCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrderItemDTO"}}}}}}},"post":{"tags":["order-item-resource"],"operationId":"createOrderItem","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderItemDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/OrderItemDTO"}}}}}}},"/api/notifications":{"get":{"tags":["notification-resource"],"operationId":"getAllNotifications","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/NotificationCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationDTO"}}}}}}},"post":{"tags":["notification-resource"],"operationId":"createNotification","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationDTO"}}}}}}},"/api/notifications/test_iban":{"post":{"tags":["notification-resource"],"operationId":"sendAffiliationRequestPerStudent","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/send_sinister_email":{"post":{"tags":["notification-resource"],"operationId":"sendEmailToSinister","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SinisterEmailDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/send_senior_request":{"post":{"tags":["notification-resource"],"operationId":"sendSeniorRequest","requestBody":{"content":{"application/json":{"schema":{"required":["seniorRequest"],"type":"object","properties":{"seniorRequest":{"type":"string"},"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/send_register_src_email":{"post":{"tags":["notification-resource"],"operationId":"sendRegisterSRCEmail","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FormEmailDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/send_province_email":{"post":{"tags":["notification-resource"],"operationId":"sendEmailToProvince","requestBody":{"content":{"application/json":{"schema":{"required":["formEmail"],"type":"object","properties":{"formEmail":{"type":"string"},"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/send_popup":{"post":{"tags":["notification-resource"],"operationId":"sendCommonPopupNotification","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FormEmailDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/send_email_to_user":{"post":{"tags":["notification-resource"],"operationId":"sendEmailUsers","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FormEmailDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/send_email_job_to_user":{"post":{"tags":["notification-resource"],"operationId":"sendEmailJobUsers","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobEmailPersonDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/send_defender_email":{"post":{"tags":["notification-resource"],"operationId":"sendDefenderEmail","requestBody":{"content":{"application/json":{"schema":{"required":["formEmail"],"type":"object","properties":{"formEmail":{"type":"string"},"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/send_contact_email":{"post":{"tags":["notification-resource"],"operationId":"sendContactEmail","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FormEmailDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/send_certificate_request_src_email":{"post":{"tags":["notification-resource"],"operationId":"sendCertificateRequestSRCEmail","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/send_attention_email":{"post":{"tags":["notification-resource"],"operationId":"sendAttentionEmail","requestBody":{"content":{"application/json":{"schema":{"required":["formEmail"],"type":"object","properties":{"formEmail":{"type":"string"},"file":{"type":"string","format":"binary"}}}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/send_affiliation_request_by_student":{"post":{"tags":["notification-resource"],"operationId":"sendAffiliationRequestPerStudent_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudentToAffiliateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/send_advisory_request":{"post":{"tags":["notification-resource"],"operationId":"sendAdvisoryRequest","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAdvisoryDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notifications/one-signal/send_tags":{"post":{"tags":["notification-resource"],"operationId":"sendTagsByDocumentId","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentIdTagsDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/api/notification-templates":{"get":{"tags":["notification-template-resource"],"operationId":"getAllNotificationTemplates","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/NotificationTemplateCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":"Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}}}}}},"post":{"tags":["notification-template-resource"],"operationId":"createNotificationTemplate","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/NotificationTemplateDTO"}}}}}}},"/api/notification-purpose-templates":{"get":{"tags":["notification-purpose-template-resource"],"operationId":"getAllNotificationPurposeTemplates","parameters":[{"name":"criteria","in":"query","required":true,"schema":{"$ref":"#/components/schemas/NotificationPurposeTemplateCriteria"}},{"name":"page","in":"query","description":"Zero-based page index (0..N)","required":false,"schema":{"minimum":0,"type":"integer","default":0}},{"name":"size","in":"query","description":"The size of the page to be returned","required":false,"schema":{"minimum":1,"type":"integer","default":20}},{"name":"sort","in":"query","description":
[...]
